#Machine-learning-for-E-commerce

##1- Description: The data analyst team at your Company exported the Google Analytics logs for an ecommerce website into BigQuery and created a new table of all the raw ecommerce visitor session data for me to explore. Using this data, I’ll try to answer a few questions.

Question1: Out of the total visitors who visited our website, what % made a purchase?

Question2: How many visitors bought on subsequent visits to the website?

Question3: What are some of the reasons a typical ecommerce customer will browse but not buy until a later visit?

Question4: Create a Machine Learning model in BigQuery to predict whether or not a new user is likely to purchase in the future. Identifying these high-value users can help the marketing team target them with special promotions and ad campaigns to ensure a conversion while they comparison shop between visits to your ecommerce site.

##2- Instructions for build Machine Learning Model :

1- Select features and create your training dataset.

2- Create a BigQuery dataset to store models.

3- Select a BQML model type and specify options.

4- Evaluate the model performance.

5- Improve model performance with Feature Engineering.

6- Predict which new visitors will come back and purchase.

#Set up your environment

Login to Google cloud Platform

Google Cloud Console

Open BigQuery Console from Navigation menu

Access the Google analytics dataset from this link

Sample of Google Analytics dataset for Google Merchandise Store more information about the Dataset:

